AWS
probe RDS

# cluster_status

Returns the cluster status

Run it now
View details

Type | probe
Module | chaosaws.rds.probes
Name | cluster_status
Return | Union[str, List[str]]

Usage

JSON

    {
      "name": "cluster-status",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.rds.probes",
        "func": "cluster_status"
      }
    }

YAML

    name: cluster-status
    provider:
      func: cluster_status
      module: chaosaws.rds.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
cluster_id | string | null | No | DB Cluster ID | Database cluster identifier
filters | list | null | No | Filters | List of filters instead of a single identifier

Signature

    def cluster_status(
            cluster_id: str = None,
            filters: List[Dict[str, Any]] = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Union[str, List[str]]:
        pass

## Related starters

- AWS
  action RDS

  ## `failover_db_cluster`

  Forces a failover for a DB cluster
- AWS
  action RDS

  ## `failover_db_cluster`

  Forces a failover for a DB cluster
- AWS
  action RDS

  ## `delete_db_cluster_endpoint`

  Deletes the custom endpoint of an Aurora cluster